KD SOAP API Documentation: KDSoapSslHandler Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Slots | Signals | List of all members
KDSoapSslHandler Class Reference

A class for handling SSL errors during SOAP calls. More...

`#include <KDSoapSslHandler.h>`

Inheritance diagram for KDSoapSslHandler:
[legend]
Collaboration diagram for KDSoapSslHandler:
[legend]

## Public Slots
void | ignoreSslErrors ()
| ignoreSslErrors
void | ignoreSslErrors (const QList< QSslError > &errors)

## Signals
void | sslErrors (KDSoapSslHandler *handler, const QList< QSslError > &errors)
| Notification of SSL errors.

## Additional Inherited Members
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Public Attributes inherited from QObject
typedef | QObjectList
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)
Properties inherited from QObject
| objectName

## Detailed Description

A class for handling SSL errors during SOAP calls.

Since
  1.3

Definition at line 30 of file KDSoapSslHandler.h.

## Member Function Documentation

## ◆ ignoreSslErrors [1/2]

void KDSoapSslHandler::ignoreSslErrors | ( |  | ) |
| slot

ignoreSslErrors

If this function is called, SSL errors related to network connection will be ignored, including certificate validation errors.

Note that calling this function without restraint may pose a security risk for your application. Use it with care.

This function can be called from the slot connected to the sslErrors() signal, which indicates which errors were found.

Definition at line 26 of file KDSoapSslHandler.cpp.

References QNetworkReply::ignoreSslErrors(), and QObject::qobject_cast().

## ◆ ignoreSslErrors [2/2]

void KDSoapSslHandler::ignoreSslErrors | ( | const QList< QSslError > & | errors | ) |
| slot

If this function is called, the SSL errors given in `errors` will be ignored. Note that you can set the expected certificate in the SSL error. See QNetworkReply::ignoreSslErrors() for more information.

This function can be called from the slot connected to the sslErrors() signal, which indicates which errors were found.

Parameters

  errors | list of errors to ignore

Since
  1.4

Definition at line 32 of file KDSoapSslHandler.cpp.

References QNetworkReply::ignoreSslErrors(), and QObject::qobject_cast().

## ◆ sslErrors

void KDSoapSslHandler::sslErrors | ( | KDSoapSslHandler * | handler,
|  | const QList< QSslError > & | errors
| ) |  |
| signal

Notification of SSL errors.

This signal is emitted if the SSL/TLS session encountered errors during the set up, including certificate verification errors. The errors parameter contains the list of errors.

To indicate that the errors are not fatal and that the connection should proceed, the ignoreSslErrors() method should be called from the slot connected to this signal. If it is not called, the SSL session will be torn down before any data is exchanged.

Parameters

  handler | is a pointer the KDSoapSSLHandler associated with the errors
  errors | list of ssl errors

The documentation for this class was generated from the following files:

- KDSoapSslHandler.h
- KDSoapSslHandler.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8